# Get Document(s) For Sign

You can sign a document if the document has a signature field assigned to the particular user. Using this endpoint, you can get the list of documents to sign. To get the list of documents for signing, you should send the following API request:

### Request details

| Method        | POST                                       |
| ------------- | ------------------------------------------ |
| URL           | `/api/v1/envelope/{envelopeUuid}/for-sign` |
| Authorization | Bearer {token}                             |
| content-type  | application/json                           |
| mailboxUuid   | {uuid}                                     |
| envelopeUuid  | {uuid}                                     |
| docIds        | (array\[string])                           |

Depending on the body of the request, you can get two types of response:

1. Send a request with an empty array in the body — get all documents from the envelope with signatures related to the particular user.
2. Send a request with a particular document ID in the body — get a particular document for signing.

In response, you get an array with information about documents for signing.

### Response details

Status code: **200 OK**

```
[
    {
        "documentId": "string",
        "pdf": "string",
        "pdfName": "string",
        "signatureName": "string",
        "xml": "string",
        "xmlName": "string"
    }
]
```

Description of the response data:

| documentId    | ID of the document          |
| ------------- | --------------------------- |
| pdf           | PDF binary data             |
| pdfName       | Name of the document        |
| signatureName | Name of the signature field |
| xml           | Document in .xml format     |
| xmlName       | Structured document name    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/api-methods/get-document-s-for-sign.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
